Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.platform.server.wls
Class WlsLog

`java.lang.Object
oracle.toplink.logging.AbstractSessionLog
oracle.toplink.platform.server.ServerLog
oracle.toplink.platform.server.wls.WlsLog`

All Implemented Interfaces:
  java.lang.Cloneable, SessionLog, SessionLog

public class WlsLog
extends ServerLog

Logging class that integrates with the application server log. This class also implements the TopLink SessionLog interface so that it can be set as the session log, thereby causing all TopLink session logging to get redirected through this log sink. Note that extends the DefaultSessionLog log so that . TopLink for Wls logging may be done either through a session or directly through this logger.

Field Summary
`static java.lang.String` | `TOPLINK_LOG_ID`

Fields inherited from interface oracle.toplink.sessions.SessionLog
`ALL, CACHE, CONFIG, CONNECTION, DMS, EJB, EJB_ANNOTATION, EVENT, FINE, FINER, FINEST, INFO, OFF, PROPAGATION, QUERY, SEQUENCING, SEVERE, SQL, TRANSACTION, WARNING, WEAVER`

Constructor Summary
`WlsLog()`

Methods inherited from class oracle.toplink.platform.server.ServerLog
`log`

Methods inherited from class oracle.toplink.logging.AbstractSessionLog
`config, fine, finer, finest, getDateFormat, getLevel, getLevel, getLog, getSession, getWriter, info, log, log, log, log, log, log, log, logThrowable, setDateFormat, setLevel, setLevel, setLog, setSession, setShouldLogDebug, setShouldLogExceptions, setShouldLogExceptionStackTrace, setShouldPrintConnection, setShouldPrintDate, setShouldPrintSession, setShouldPrintThread, setWriter, severe, shouldLog, shouldLog, shouldLogDebug, shouldLogExceptions, shouldLogExceptionStackTrace, shouldPrintConnection, shouldPrintDate, shouldPrintSession, shouldPrintThread, throwing, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOPLINK_LOG_ID

    public static final java.lang.String TOPLINK_LOG_ID

  See Also:
    Constant Field Values

Constructor Detail

### WlsLog

    public WlsLog()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD